Wan Spicy: Wan Animate (Video to Video) API Reference

About

Video-to-video with WAN 2.7 Spicy. Animate a starting video with optional driving audio. 720p or 1080p, 2–15 second clips. Integrate this model via REST with endpoint docs, parameters, and code examples.

1. Calling the API

Setup your API Key

To begin using Infron, you first need to create an account and generate your API Key.

Once you have your API key, set it as an environment variable in your runtime environment. This allows your applications to securely access Infron’s API.

export INFRON_KEY="YOUR_API_KEY"

Submit a request

For long-running requests, you can poll for results.

curl https://media.onerouter.pro/v1/videos/generations \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d @- <<'EOF'
{
   "model": "wan/wan-animate/video-to-video",
   "prompt": "Preserve the safe studio style and follow the reference motion naturally.",
    "image_urls": [
        "https://storage.googleapis.com/infron_gcs/image%2Fgenerated%2Fmulerouter_image_b4bf16cb8a6b44b39a33160595d77f38.png"
    ],
    "video_urls": [
        "https://storage.googleapis.com/infron_gcs/video%2Fvideo_v2%2Foutput%2Foutput_6a4232af-b1c8-4769-981f-26c024cbcf8c.mp4"
    ],
    "resolution": "720p",
    "n": 1,
    "seed": 2147483647
}
EOF

Response with queue task id

The response will look like this:

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "8bbb912ba9b644e88457b6975d17a43d",
    "object": "video",
    "model": "wan/wan-animate/video-to-video",
    "status": "created",
    "urls": {
      "query": "https://media.onerouter.pro/v1/videos/tasks/8bbb912ba9b644e88457b6975d17a43d"
    },
    "created_at": "2026-07-15 07:02:36.92"
  }
}

Fetch request status

You can fetch the status of a request to check if it is completed or still in progress.

curl https://media.onerouter.pro/v1/videos/tasks/{task_id} \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" 

# For example
curl https://media.onerouter.pro/v1/videos/tasks/8bbb912ba9b644e88457b6975d17a43d \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json"

Response with queue task status query

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "8bbb912ba9b644e88457b6975d17a43d",
    "object": "video",
    "model": "wan/wan-animate/video-to-video",
    "status": "in_progress",
    "fail_reason": "",
    "submit_time": 1784098957,
    "start_time": 1784098958,
    "finish_time": 0,
    "outputs": [],
    "created_at": "2026-07-15 07:02:37"
  }
}

Possible statuses:

  • created
  • in_progress
  • processing
  • completed
  • failed

created -> in_progress → processing → completed | failed

Poll every 1-2 seconds until status is "completed" or "failed"

Get the result (when status is "completed")

Once the request is completed, you can fetch the result. See the Output Schema for the expected result format.

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "8bbb912ba9b644e88457b6975d17a43d",
    "object": "video",
    "model": "wan/wan-animate/video-to-video",
    "status": "completed",
    "fail_reason": "",
    "submit_time": 1784098957,
    "start_time": 1784098958,
    "finish_time": 1784099107,
    "outputs": [
      "https://storage.googleapis.com/infron_gcs/video%2Fvideo_v2%2Foutput%2Foutput_a992a03e-a71a-428e-9d30-7dcb44bc8661.mp4"
    ],
    "usage": {
      "completion_tokens": 0,
      "duration": 3,
      "generate_audio": false,
      "output_count": 1,
      "prompt_tokens": 1,
      "request_num": 1,
      "resolution": "720p",
      "tokens": 1,
      "total_tokens": 1,
      "video_duration": 3
    },
    "cost": {
      "total_cost": 0.33,
      "cost_details": {
        "prompt_cost": 0,
        "completion_cost": 0,
        "image_cost": 0,
        "video_cost": 0.33,
        "audio_cost": 0,
        "native_web_search_cost": 0,
        "plugin_web_search_cost": 0,
        "tools_cost": 0,
        "prompt_cache_read_cost": 0,
        "prompt_cache_write_cost": 0,
        "prompt_cache_write_5_min": 0,
        "prompt_cache_write_1_h": 0,
        "reasoning_cost": 0,
        "discount_rate": 1,
        "is_byok": false,
        "byok_cost": 0
      }
    },
    "created_at": "2026-07-15 07:02:37"
  }
}

2. Schema

Input

ParameterTypeRequiredDefaultRangeDescription
modelstringYes--Explore all modelsModel name.
promptstringYes----Text prompt for generation; Positive text prompt.
image_urlsarrayYes--[1][0] Character illustration.
video_urlsarrayYes--[1][0] is the action reference video; the output duration follows the input video.
resolutionstringYes720p480p, 720pResolution of the generated video.
nintegerNo1[1]Number of videos to generate.
seedintegerNo-->=1The random seed to use for the generation.

Example request

curl https://media.onerouter.pro/v1/videos/generations \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d @- <<'EOF'
{
   "model": "wan/wan-animate/video-to-video",
   "prompt": "Preserve the safe studio style and follow the reference motion naturally.",
    "image_urls": [
        "https://storage.googleapis.com/infron_gcs/image%2Fgenerated%2Fmulerouter_image_b4bf16cb8a6b44b39a33160595d77f38.png"
    ],
    "video_urls": [
        "https://storage.googleapis.com/infron_gcs/video%2Fvideo_v2%2Foutput%2Foutput_6a4232af-b1c8-4769-981f-26c024cbcf8c.mp4"
    ],
    "resolution": "720p",
    "n": 1,
    "seed": 2147483647
}
EOF

Output

ParameterTypeRangeDescription
codeinteger--Status code of the request.
messagestring--Status message of the request.
dataobject--Data of the video task.
data.task_idstring--ID of the video task.
data.objectstring--Object type of the video task.
data.modelstring--Model name of the video task.
data.statusstringcreated, in_progress, processing, completed, failedStatus of the video task.
data.fail_reasonstring--Fail reason of the video task.
data.submit_timeinteger--Timestamp of the video task submission.
data.start_timeinteger--Timestamp of the video task start.
data.finish_timeinteger--Timestamp of the video task finish.
data.outputsarray--Outputs of the video task.
data.created_atstring--Timestamp of the video task creation.

Example output

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "8bbb912ba9b644e88457b6975d17a43d",
    "object": "video",
    "model": "wan/wan-animate/video-to-video",
    "status": "completed",
    "fail_reason": "",
    "submit_time": 1784098957,
    "start_time": 1784098958,
    "finish_time": 1784099107,
    "outputs": [
      "https://storage.googleapis.com/infron_gcs/video%2Fvideo_v2%2Foutput%2Foutput_a992a03e-a71a-428e-9d30-7dcb44bc8661.mp4"
    ],
    "usage": {
      "completion_tokens": 0,
      "duration": 3,
      "generate_audio": false,
      "output_count": 1,
      "prompt_tokens": 1,
      "request_num": 1,
      "resolution": "720p",
      "tokens": 1,
      "total_tokens": 1,
      "video_duration": 3
    },
    "cost": {
      "total_cost": 0.33,
      "cost_details": {
        "prompt_cost": 0,
        "completion_cost": 0,
        "image_cost": 0,
        "video_cost": 0.33,
        "audio_cost": 0,
        "native_web_search_cost": 0,
        "plugin_web_search_cost": 0,
        "tools_cost": 0,
        "prompt_cache_read_cost": 0,
        "prompt_cache_write_cost": 0,
        "prompt_cache_write_5_min": 0,
        "prompt_cache_write_1_h": 0,
        "reasoning_cost": 0,
        "discount_rate": 1,
        "is_byok": false,
        "byok_cost": 0
      }
    },
    "created_at": "2026-07-15 07:02:37"
  }
}

3. Detailed Pricing

Pricing TypeUnitPrice
Input image--
Input video--
Output video 480p1 second$0.053
Output video 720p1 second$0.110
ResolutionSupported DurationEstimated Price
480p5 s / 8 s$0.053 / second
720p5 s / 8 s$0.110 / second
ResolutionDurationEstimated Price
480p5 s$0.265
480p8 s$0.424
720p5 s$0.550
720p8 s$0.880